#<profile4xi profile = "10" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "get_logger4xi.py">
#<abstract4xi abstract = "providing the funtion get_logger4x"/>
#<refer4xi reference = "util.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'get_logger4xi' ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import signal
import threading                
import _thread
import _winapi
   

import itertools
import weakref
import atexit
#"
#/>

 
# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
#"
#/>                        

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from logger4xi import Logger4Xi
from time4xi import time4xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# get_logger4xi
#<function4xi function = "get-logger4xi" usage = "
#   forking.py:
#       if _logger is not None:
#           d['log_level'] = _logger.getEffectiveLevel()
#       util.get_logger().setLevel(data['log_level'])
#   prepare4xi.py:
#       get_logger4xi().setLevel(data['log_level'])
#   set_logger4xi
#       Logger4Xi.set_logger(None) 
#"> 
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def get_logger4xi():                                                    
    '''
    returns logger used by multiprocessing
    '''
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------    

    class2print = "get_logger4xi"
    method2print = "get_logger4xi"

    message2print = "{started" + "; get-logger4xi-started: " + str(get_logger4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      

 
    # ---------------------------------------------------------------------------------------------
    #
    # --------------------------------------------------------------------------------------------- 
    message2print = "{returning" + "; Logger4Xi-get-logger-returning-by-get-logger4xi: " + str(Logger4Xi.get_logger) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print) 
        

    return Logger4Xi.get_logger() #<--- class is being used

#</function4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_none4xi.txt
#   sense-test-none4xi.xml
#   reason-test-none4xi.xml
#   ace-test-none4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 
#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of get_logger4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

